## org.jfree.chart.labels
Class BoxAndWhiskerToolTipGenerator

    java.lang.Object
      org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
          org.jfree.chart.labels.StandardCategoryToolTipGenerator
              org.jfree.chart.labels.BoxAndWhiskerToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CategoryToolTipGenerator, org.jfree.util.PublicCloneable

    public class BoxAndWhiskerToolTipGenerator

extends StandardCategoryToolTipGenerator
implements CategoryToolTipGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

An item label generator for plots that use data from a `BoxAndWhiskerCategoryDataset`.

The tooltip text and item label text are composed using a `MessageFormat` object, that can aggregate some or all of the following string values into a message.

0 | Series Name
1 | X (value or date)
2 | Mean
3 | Median
4 | Minimum
5 | Maximum
6 | Quartile 1
7 | Quartile 3

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_TOOL_TIP_FORMAT` The default tooltip format string.

Fields inherited from class org.jfree.chart.labels.StandardCategoryToolTipGenerator
`DEFAULT_TOOL_TIP_FORMAT_STRING`

Constructor Summary
`BoxAndWhiskerToolTipGenerator()` Creates a default tool tip generator.
`BoxAndWhiskerToolTipGenerator(java.lang.String format, java.text.NumberFormat formatter)` Creates a tool tip formatter.

Method Summary
`protected java.lang.Object[]` `createItemArray(CategoryDataset dataset, int series, int item)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.
`boolean` `equals(java.lang.Object obj)` Tests if this object is equal to another.

Methods inherited from class org.jfree.chart.labels.StandardCategoryToolTipGenerator
`generateToolTip`

Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
`clone, generateColumnLabel, generateLabelString, generateRowLabel, getDateFormat, getLabelFormat, getNumberFormat, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.labels.CategoryToolTipGenerator
`generateToolTip`

Methods inherited from interface org.jfree.util.PublicCloneable
`clone`

Field Detail

### DEFAULT_TOOL_TIP_FORMAT

    public static final java.lang.String DEFAULT_TOOL_TIP_FORMAT

  The default tooltip format string.

  See Also:
    Constant Field Values

Constructor Detail

### BoxAndWhiskerToolTipGenerator

    public BoxAndWhiskerToolTipGenerator()

  Creates a default tool tip generator.

### BoxAndWhiskerToolTipGenerator

    public BoxAndWhiskerToolTipGenerator(java.lang.String format,
                                         java.text.NumberFormat formatter)

  Creates a tool tip formatter.

  Parameters:
    `format` - the tool tip format string.
    `formatter` - the formatter.

Method Detail

### createItemArray

    protected java.lang.Object[] createItemArray(CategoryDataset dataset,
                                                 int series,
                                                 int item)

  Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

  Overrides:
    `createItemArray` in class `AbstractCategoryItemLabelGenerator`
  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The items (never `null`).

### equals

    public boolean equals(java.lang.Object obj)

  Tests if this object is equal to another.

  Overrides:
    `equals` in class `StandardCategoryToolTipGenerator`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.